Trust Centers
Create Trust Center subscriber
Adds a subscriber to a Trust Center.
POST
/
trust-centers
/
{slugId}
/
subscribers
Create Trust Center subscriber
curl --request POST \
--url https://api.vanta.com/v1/trust-centers/{slugId}/subscribers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"customerTrustAccountId": "<string>",
"shouldSkipEmailVerification": true
}
'import requests
url = "https://api.vanta.com/v1/trust-centers/{slugId}/subscribers"
payload = {
"email": "<string>",
"customerTrustAccountId": "<string>",
"shouldSkipEmailVerification": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
customerTrustAccountId: '<string>',
shouldSkipEmailVerification: true
})
};
fetch('https://api.vanta.com/v1/trust-centers/{slugId}/subscribers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a2f7e1b9d0c3f4e5a6c7b8d9",
"email": "subscriber@example.com",
"isEmailVerified": true,
"creationDate": "2020-01-01T00:00:00.000Z",
"customerTrustAccountId": null,
"groups": [
{
"id": "b3e8f2c0d1a4f5e6b7d8c9e0",
"name": "Security Managers"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
201 - application/json
Trust Center subscriber created
Unique identifier for the subscriber.
Email of the subscriber.
Whether the subscriber's email has been verified.
When the subscriber was created.
The ID of the customer trust account this subscriber is linked to, if any.
Groups this subscriber belongs to.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create Trust Center subscriber
